#
# spec file for package rubygem-agama-yast
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-agama-yast
Version:        15.devel496.264781cfa
Release:        1.1
%define mod_name agama-yast
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%global rb_build_versions %{rb_default_ruby}
BuildRequires:  dbus-1-common
Requires:       dbus-1-common
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
URL:            https://github.com/agama-project/agama
Source:         %{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        YaST integration service for Agama
License:        GPL-2.0-only

%description
D-Bus service exposing some YaST features that are useful for Agama.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  -f

%gem_packages

%changelog
* Mon Jun 23 2025 Michal Filka <mfilka@suse.com>
- jsc#PED-12285
  - initial implementation for installer state status report via
    IPMI
* Thu Jun 19 2025 José Iván López González <jlopez@suse.com>
- Add missing steps for iSCSI installation
  (gh#agama-project/agama#2473).
* Wed Jun 18 2025 Ladislav Slezák <lslezak@suse.com>
- Disable local installation repositories instead of removing them
  (bsc#1243064)
* Wed Jun 18 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Preserve AutoYaST pre-scripts artifacts (bsc#1243776, gh#agama-project/agama#2344).
* Mon Jun 16 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Initial support for sorting storage devices when searching them
  at the configuration (gh#agama-project/agama#2474).
* Fri Jun 13 2025 Josef Reidinger <jreidinger@suse.com>
- Fix copy of self-signed certificates for RMT
  (gh#agama-project/agama#2480)
* Fri Jun 13 2025 Ladislav Slezák <lslezak@suse.com>
- Send the current language to the registration server (SCC/RMT)
  to display localized error messages (gh#agama-project/agama#2477)
* Fri Jun 13 2025 Josef Reidinger <jreidinger@suse.com>
- Split registration key and registered status to support RMT with
  empty registration key (gh#agama-project/agama#2469)
* Thu Jun 12 2025 José Iván López González <jlopez@suse.com>
- AutoYaST support: add support for iscsi-client section
  (gh#agama-project/agama#2463).
* Tue Jun 10 2025 Josef Reidinger <jreidinger@suse.com>
- AutoYaST support: add support for add-on elements
  (gh#agama-project/agama#2458)
* Mon Jun  9 2025 José Iván López González <jlopez@suse.com>
- Extend the D-Bus API to get available/candidate drives and MD
  RAIDs (gh#agama-project/agama#2419).
- Improve the config conversion from model to add missing MD RAIDs
  if needed (e.g., the MD RAID was selected as boot device or as
  target for LVM).
* Fri Jun  6 2025 Knut Anderssen <kanderssen@suse.com>
- Propose to move existing connections to disk if there is no one
  to be persisted (custom config provided)
  (gh#agama-project/agama#2402).
* Thu Jun  5 2025 Josef Reidinger <jreidinger@suse.com>
- agama-dbus-monitor: Increase timeout when restarting to prevent
  crash due to socket not available
* Thu Jun  5 2025 Josef Reidinger <jreidinger@suse.com>
- Add support to specify for extra repositories if it can be
  unsigned or list of GPG fingerprints that are trusted
  (jsc#AGM-125)
* Tue Jun  3 2025 Josef Reidinger <jreidinger@suse.com>
- Add support for adding extra repositories as installation sources
  (jsc#AGM-125)
* Wed May 28 2025 José Iván López González <jlopez@suse.com>
- Try several attempts for the first storage proposal
  (gh#agama-project/agama#2393).
* Wed May 28 2025 Ladislav Slezák <lslezak@suse.com>
- Unselect user patterns which are unselected by a conflict
  resolution (followup for gh#agama-project/agama#2348)
* Mon May 26 2025 Knut Anderssen <kanderssen@suse.com>
- Copy Agama generated systemd network link files to the target
  system (bsc#1237327, bsc#1241969).
* Mon May 26 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 15
* Mon May 26 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Set stopOnBootMenu to "true" when a negative timeout is
  set in the bootloader section of an AutoYaST profile
  (bsc#1243623).
* Fri May 23 2025 José Iván López González <jlopez@suse.com>
- Add checks to the storage config to avoid using wrong devices as
  target for boot partitions (gh#agama-project/agama#2390).
* Fri May 23 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Introduce a new ProgressChanged signal which should be used
  instead of PropertiesChanged (gh#agama-project/agama#2389).
* Fri May 23 2025 Josef Reidinger <jreidinger@suse.com>
- Properly report if registration failed when adding new libzypp
  service obtained from registration server (bsc#1238851)
* Fri May 23 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Allow to specify a software RAID (mdRaids) as explicit boot
  device (gh#agama-project/agama#2386).
* Thu May 22 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Include RAIDs at the model for the storage UI
  (gh#agama-project/agama#2346).
* Thu May 22 2025 Josef Reidinger <jreidinger@suse.com>
- Provide software conflicts D-Bus API (gh#agama-project/agama#2348)
* Fri May 16 2025 José Iván López González <jlopez@suse.com>
- Fix list of candidate drives and candidate MD RAIDs for
  installation (gh#agama-project/agama#2362).
* Wed May 14 2025 José Iván López González <jlopez@suse.com>
- Add search conditions to storage (gh#agama-project/agama#2338).
* Wed May 14 2025 Knut Anderssen <kanderssen@suse.com>
- Fix the target path for copying the udev rules and nvme files
  introduced by (bsc#123808, gh#agama-project/agama#2257).
  (bsc#1241868, gh#agama-project/agama#2328).
* Fri May  9 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Convert the bootloader section to JSON (gh#agama-project/agama#2349).
- Fix the conversion of the hostname and the networking sections to JSON
  (gh#agama-project/agama#2349).
* Wed May  7 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Convert AutoYaST DNS section to JSON (gh#agama-project/agama#2335).
* Wed May  7 2025 José Iván López González <jlopez@suse.com>
- Add support for creating and reusing MD RAID devices
  (gh#agama-project/agama#2286, bsc#1241958).
* Tue May  6 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Convert YaST-specific keymap identifiers (gh#agama-project/agama#1902).
* Wed Apr 30 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Convert relurl:// URLs in AutoYaST files and scripts definitions
  (gh#agama-project/agama#2305).
* Fri Apr 25 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- AutoYaST profile compatibility: <reg_server_cert_fingerprint />
  and <reg_server_cert_fingerprint_type /> (related to
  gh#agama-project/agama#2270).
* Thu Apr 24 2025 Knut Anderssen <kanderssen@suse.com>
- Copy only the NetworkManager connnections from /etc and just
  in case the copy has not been disabled
  (gh#agama-project/agama#2291).
* Thu Apr 24 2025 Josef Reidinger <jreidinger@suse.com>
- Allow to specify SSL certificate fingerprint to handle self-signed
  certificates used for non default registration server
- Allow to specify registration server URL via API
  gh#agama-project/agama#2270
* Tue Apr 22 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 14
* Tue Apr 15 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Fixed detection of iBFT (bsc#1239046).
- Removed offload_card from iSCSI (bsc#1231385).
* Fri Apr 11 2025 Michal Filka <mfilka@suse.com>
- bsc#1238038
  - copy NVMe configuration files from inst-sys to target
    (gh#agama-project/agama#2257).
* Thu Apr 10 2025 Josef Reidinger <jreidinger@suse.com>
- Allow to specify extra kernel parameters for bootloader
  (jsc#PED-10810)
* Wed Apr  9 2025 José Iván López González <jlopez@suse.com>
- Add auto-installation support for iSCSI
  (gh#agama-project/agama#2231).
* Wed Apr  9 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Write the registration URL to the installed system (bsc#1239316).
* Tue Apr  1 2025 Ladislav Slezák <lslezak@suse.com>
- Make the extension version attribute optional, search the version
  automatically if it is missing (related to jsc#AGM-100)
* Fri Mar 28 2025 Josef Reidinger <jreidinger@suse.com>
- Allow to specify bootloader timeout in profile (jsc#PED-10810)
* Fri Mar 28 2025 Knut Anderssen <kanderssen@suse.com>
- Copy the hostname to the installed system if it exists
  (gh#agama-project/agama#2226).
* Fri Mar 28 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Properly map AutoYaST scripts "source" to "content"
  (gh#agama-project/agama#2224).
* Fri Mar 28 2025 Ladislav Slezák <lslezak@suse.com>
- Always display the patterns from extensions (related to
  jsc#AGM-100)
* Thu Mar 27 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 13
* Thu Mar 27 2025 José Iván López González <jlopez@suse.com>
- Extend storage model for basic LVM support
  (gh#agama-project/agama#2216).
* Tue Mar 25 2025 Ladislav Slezák <lslezak@suse.com>
- Install registred addon product (its *-release package)
  (related to jsc#AGM-100)
* Tue Mar 25 2025 Josef Reidinger <jreidinger@suse.com>
- Support for autoyast manual files deployment with exception
  of deploying directories and files_script
  (gh#agama-project/agama#2121)
* Fri Mar 21 2025 Ladislav Slezák <lslezak@suse.com>
- Add extensions from the registration server (automatic
  installation only) (jsc#AGM-100)
* Thu Mar 20 2025 Knut Anderssen <kanderssen@suse.com>
- Symlink the /mnt/etc/resolv.conf to the NetworkManager running
  one in order to have DNS resolution in the chroot post scripts
  (bsc#1235617, gh#agama-project/agama#2179).
* Fri Mar 14 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Import the packages list from an AutoYaST profile
  (gh#agama-project/agama#2153).
* Wed Mar 12 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Copy Agama logs to the installed system (gh#agama/agama-project#2148).
- Set /var/log/agama-installation permissions to 0700
  (gh#agama-project/agama#2140).
* Wed Mar  5 2025 Ladislav Slezák <lslezak@suse.com>
- Automatically retry package download or repository refresh
  before reporting an error (gh#agama-project/agama#2117)
* Wed Mar  5 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use the correcty script type allows postPartitioning scripts to run
  (gh#agama-project/agama#2114).
* Wed Mar  5 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Enable again the signature checking for dir:/// repositories
  (gh#agama-project/agama#2092).
* Wed Mar  5 2025 Michal Filka <mfilka@suse.com>
- introduced boot_strategy into storage section of product
  definition yaml file. It allows to control what boot strategy
  will be proposed by storage. Currently works only for BLS.
* Fri Feb 28 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Temporarily disable signature checking for dir:// repositories
  (gh#agama-project/agama#2092).
* Wed Feb 26 2025 José Iván López González <jlopez@suse.com>
- Add file system label to the config model (needed for jsc#AGM-122
  and bsc#1237165).
* Wed Feb 26 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 12
* Tue Feb 25 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Enable agama-scripts service if installed (gh#agama-project/agama#2077).
* Mon Feb 24 2025 Ladislav Slezák <lslezak@suse.com>
- Temporarily hide the abort installation option in the package
  installation failure question until the failed state is properly
  handled. (related to gh#agama-project/agama#2049)
* Mon Feb 24 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Adjust default encryption settings to better support TPM-based
  unlocking (gh#agama-project/agama#2053).
* Fri Feb 21 2025 José Iván López González <jlopez@suse.com>
- Initial support for global encryption in the storage model
  (gh#agama-project/agama#2031).
* Thu Feb 20 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add libzypp callbacks to handle more checksum and signatures
  problems (gh#agama-project/agama#2030).
* Thu Feb 20 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Fixed a bug in the storage model conversion that was causing some
  partition sizes to be reset (gh#openSUSE/agama#2036).
* Thu Feb 20 2025 Ancor Gonzalez Sosa <ancor@suse.com>
- Introduce the storage model to support the new storage user
  interface (gh#openSUSE/agama#2033)
* Wed Feb 19 2025 Michal Filka <mfilka@suse.com>
- Instead of "agama." use more generic "inst." prefix for kernel
  boot options controling the agama installer
* Wed Feb 19 2025 Josef Reidinger <jreidinger@suse.com>
- if root ssh key is used, ensure that sshd is enabled and firewall
  has port open (jsc#PM-2128)
- root password is explicitelly locked if not specified
- first user will be in wheel group (jsc#PM-2128)
* Wed Feb 19 2025 Ladislav Slezák <lslezak@suse.com>
- UX: Improve the libzypp callbacks (gh#agama-project/agama#1985)
* Tue Feb 18 2025 Knut Anderssen <kanderssen@suse.com>
- (gh#agama-project/agama#1970).
  - In an unattended installation, the system will reboot
    automatically.
  - The D-Bus method to finish the installation will not reboot the
    system if it is not in the "finish" installation phase.
* Tue Feb 18 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Expose root and first user passwords (gh#agama-project/agama#2005).
- Use a single D-Bus property for the root user data.
- Remove support for auto-login.
* Tue Feb 18 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Implement basic support for RMT/SCC proxies (gh#agama-project/agama#2007).
* Mon Feb 17 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for post-partitioning scripts (jsc#AGM-108).
* Thu Feb 13 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix several AutoYaST conversion problems (gh#agama-project/agama#1995):
  - Fix handling of scripts file names and location
    (gh#agama-project/agama#1903).
  - Fix the name of the localization section (gh#agama-project/agama#1960).
  - Use a more readable JSON format (gh#agama-project/agama#1907).
* Wed Feb 12 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Report unsupported AutoYaST elements
  (gh#agama-project/agama#1976).
* Tue Feb 11 2025 Ladislav Slezák <lslezak@suse.com>
- Fixed possible double timeout when refreshing the installation
  repository (bsc#1236820)
* Fri Feb  7 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Report problems when trying to download a package, install it
  or run a script (gh#agama/agama-project#1932).
* Fri Feb  7 2025 José Iván López González <jlopez@suse.com>
- Adapt tests to use the BLS size requirements
  (gh#agama-project/agama#1979).
* Wed Feb  5 2025 Ladislav Slezák <lslezak@suse.com>
- Disable the local media in the installed system, esp. the
  offline repository with URL dir:///run/initramfs/live/install
  (bsc#1236813)
* Wed Jan 29 2025 Josef Reidinger <jreidinger@suse.com>
- Allow reading repository in /install directory on iso
  (jsc#PED-10405)
* Fri Jan 24 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Introduce a new installation phase "finish"
  (gh#agama-project/agama#1616).
* Fri Jan 24 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use the availability of the base product to determine whether a
  product requires to be registered (gh#agama-project/agama#1938).
* Tue Jan 21 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix the ListRepositories D-Bus method to return the proper value
  instead of crashing the service (gh#agama-project/agama#1930).
* Mon Jan 20 2025 Ladislav Slezák <lslezak@suse.com>
- The software service provides DBus API for reading the currently
  configured repositories, related to (gh#agama-project/agama#1894)
* Mon Jan 20 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for specifying a license for each product
  (jsc#PED-11987).
* Fri Jan 17 2025 Josef Reidinger <jreidinger@suse.com>
- Relax gems version in the gemspec file
  (gh#agama-project/agama#1917)
* Thu Jan 16 2025 Ladislav Slezák <lslezak@suse.com>
- Correctly select the base product to install (bsc#1235931)
* Wed Jan 15 2025 José Iván López González <jlopez@suse.com>
- Add missing gems to the gemspec file
  (gh#agama-project/agama#1899).
* Fri Jan 10 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 11
* Fri Jan 10 2025 José Iván López González <jlopez@suse.com>
- Objects from the D-Bus trees representing the storage devices are
  removed before performing the probing. It prevents a segmentation
  fault by accessing to old objects (gh#agama-project/agama#1884).
* Thu Jan  9 2025 Knut Anderssen <kanderssen@suse.com>
- Activate multipath in case it is forced by the user
  (gh#agama-project/agama#1875).
* Wed Jan  8 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for products registration (jsc#PED-11192,
  gh#agama-project/agama#1809).
* Mon Dec 23 2024 Josef Reidinger <jreidinger@suse.com>
- Fix collision between hotfix and new bootlaoder dbus interface
  (gh#agama-project/agama#1852)
* Fri Dec 20 2024 José Iván López González <jlopez@suse.com>
- Hotfix to avoid losing the storage config with auto installation
  (bsc#1234711).
* Fri Dec 20 2024 Josef Reidinger <jreidinger@suse.com>
- Add bootloader dbus interface to allow to set if bootloader
  should stop on boot menu (gh#agama-project/agama#1840)
* Mon Dec  9 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Work around to a problem triggered after formatting DASD devices
  (mitigates gh#agama-project/agama#1818).
* Tue Dec  3 2024 Josef Reidinger <jreidinger@suse.com>
- Fix parsing agama.install_url that contain '='
  (gh#agama-project/agama#1803)
* Tue Dec  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Convert AutoYaST scripts when importing an AutoYaST profile (gh#agama-project/agama#1800).
* Tue Dec  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Include the agama-dbus-monitor package in the spec file
  (gh#agama-project/agama#1805).
* Sun Dec  1 2024 David Diaz <dgonzalez@suse.com>
- Rename flag to set password as encrypted
  (gh#agama-project/agama#1787).
* Fri Nov 15 2024 Ladislav Slezák <lslezak@suse.com>
- Allow using encrypted password for root and the first user
  (gh#agama-project/agama#1771)
* Thu Nov 14 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: fixed bug when existing partitions were searched at the
  config but not deleted or resized (gh#agama-project/agama#1767).
* Thu Nov 14 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: honor the candidate devices from DiskAnalyzer when
  matching drives (gh#agama-project/agama#1765).
* Wed Nov 13 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not crash when trying to change the language of the storage
  service before the "config" phase (gh#agama-project/agama#1746).
* Tue Nov  5 2024 Martin Vidner <mvidner@suse.com>
- packaging: split out files independent of Ruby version
  from rubygem-agama-yast (gh#agama-project/agama#1677).
* Wed Oct 30 2024 José Iván López González <jlopez@suse.com>
- Storage: do not generate config json with search wildcard
  (gh#agama-project/agama#1713).
- Storage: fix issue when setting config
  (gh#agama-project/agama#1706).
* Mon Oct 28 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: use AgamaProposal for the initial storage setup during
  system probing (gh#agama-project/agama#1699).
* Thu Oct 24 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: do not report issues when intentionally skipping entries
  at the storage config (gh#agama-project/agama#1696).
* Thu Oct 24 2024 José Iván López González <jlopez@suse.com>
- Storage: extend the D-Bus API to allow getting the solved storage
  config (gh#agama-project/agama#1692).
* Thu Oct 24 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: support to match several devices with every 'search'
  section (gh#agama-project/agama#1691).
* Tue Oct 22 2024 José Iván López González <jlopez@suse.com>
- Storage: extend schema to allow selecting TPM FDE as encryption
  method (gh#agama-project/agama#1681).
* Wed Oct 16 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for running user-defined scripts after the
  installation (gh#agama-project/agama#1673).
* Wed Oct 16 2024 José Iván López González <jlopez@suse.com>
- Storage: add config conversion to JSON
  (gh#agama-project/agama#1670).
* Mon Oct 14 2024 Ladislav Slezák <lslezak@suse.com>
- Fixed shell injection vulnerability in the internal API
  (gh#agama-project/agama#1668)
* Tue Oct  8 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: added support for automatic creation of physical volumes
  (gh#agama-project/agama#1655).
* Mon Oct  7 2024 José Iván López González <jlopez@suse.com>
- Storage: add support to the storage config for automatically
  creating physical volumes (gh#agama-project/agama#1652).
* Fri Sep 27 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for automatically generating 'default' and
  'mandatory' partitions or logical volumes in the storage config
  (gh#openSUSE/agama#1634).
* Fri Sep 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Handle UI language change in users and storage
  (gh#agama-project/agama#1642).
* Mon Sep 23 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for resizing partitions using its current
  size as min or max limit (gh#openSUSE/agama#1617).
* Fri Sep 20 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Storage: preliminary support for resizing partitions based on
  limits specified at the config (gh#openSUSE/agama#1599).
* Fri Sep 20 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 10
* Mon Sep 16 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for creating LVM volume groups and logical
  volumes (gh#openSUSE/agama#1581).
* Tue Sep 10 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Relax REXML version (gh#openSUSE/agama#1595) to build with Ruby
  3.3.
* Thu Sep  5 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for reusing file systems in the storage
  config (gh#openSUSE/agama#1575).
* Thu Sep  5 2024 Lubos Kocman <lubos.kocman@suse.com>
- Show product logo in product selector (gh#openSUSE/agama#1415).
* Wed Sep  4 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for deleting partitions in the storage
  config (gh#openSUSE/agama#1572).
* Tue Sep  3 2024 José Iván López González <jlopez@suse.com>
- Storage: add support for searching by device in the storage
  config (gh#openSUSE/agama#1560).
* Tue Aug 27 2024 José Iván López González <jlopez@suse.com>
- Storage: allow calling to #SetConfig D-Bus method using the new
  storage JSON config (gh#openSUSE/agama#1471).
* Tue Aug 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add a dependency on the D-Bus daemon (bsc#1229807).
* Mon Aug 26 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not depend on f2fs-tools and nilfs-utils
  (jsc#PED-8669, gh#openSUSE/agama#1554).
* Mon Aug 19 2024 Lubos Kocman <lubos.kocman@suse.com>
- Allow overriding of install repos which is needed by openQA
- Override urls by using agama.install_url=https://.. boot param
* Mon Aug 12 2024 Josef Reidinger <jreidinger@suse.com>
- Less strict nokogiri dependency as nokogiri follows semver, so do
  not depend on patch level (gh#openSUSE/agama#1534).
* Thu Aug  1 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use exfatprogs instead of exfat-utils (gh#openSUSE/agama#1520).
* Wed Jul 31 2024 Ladislav Slezák <lslezak@suse.com>
- Update nokogiri dependency to version 1.16
  (gh#openSUSE/agama#1518)
* Mon Jul 22 2024 Josef Reidinger <jreidinger@suse.com>
- AutoYaST convert script: use Agama questions to report errors
  and ask when encrypted profile is used (gh#openSUSE/agama#1476)
* Fri Jul 12 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Stop trying to set up Cockpit (gh#openSUSE/agama#1459).
* Fri Jul  5 2024 José Iván López González <jlopez@suse.com>
- Change storage D-Bus API to provide more accurate information
  about resizing devices (gh#openSUSE/agama#1428).
* Mon Jul  1 2024 José Iván López González <jlopez@suse.com>
- Always generate storage config including all the proposal
  settings (gh#openSUSE/agama#1422).
* Mon Jul  1 2024 José Iván López González <jlopez@suse.com>
- Add yet another fix to avoid error when generating the storage
  actions (gh#openSUSE/agama#1419).
* Fri Jun 28 2024 José Iván López González <jlopez@suse.com>
- Proper solution to avoid error in storage actions
  (gh#openSUSE/agama#1410).
* Thu Jun 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 9
* Thu Jun 27 2024 José Iván López González <jlopez@suse.com>
- Avoid error in storage actions (hot-fix)
  (gh#openSUSE/agama#1400).
* Wed Jun 26 2024 José Iván López González <jlopez@suse.com>
- Generate JSON storage settings using pretty format
  (gh#openSUSE/agama#1387).
* Wed Jun 26 2024 José Iván López González <jlopez@suse.com>
- Extend D-Bus storage API to set and get storage config using
  settings according to the JSON schema (gh#openSUSE/agama#1293).
* Wed Jun 26 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use a D-Bus method instead of a signal to change the language and
  the keyboard layout (gh#openSUSE/agama#1375).
* Wed Jun 26 2024 José Iván López González <jlopez@suse.com>
- Fix segmentation fault in the storage actions
  (gh#openSUSE/agama#1377).
* Wed Jun 26 2024 Ladislav Slezák <lslezak@suse.com>
- Optionally use the local DVD installation source if it is present
  (gh#openSUSE/agama#1372)
* Tue Jun 25 2024 David Diaz <dgonzalez@suse.com>
- Add support for retrieving the storage resize actions
  (gh#openSUSE/agama#1354).
* Thu Jun 20 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for progress sequences with pre-defined descriptions
  (gh#openSUSE/agama#1356).
* Wed Jun 19 2024 Ladislav Slezák <lslezak@suse.com>
- Use a different libzypp target for Agama, do not use the Live
  system package management (gh#openSUSE/agama#1329)
- Properly delete the libzypp cache when changing the products
  (gh#openSUSE/agama#1349)
* Thu Jun 13 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Replace the Validations with the Issues API in the users-related
  API (gh#openSUSE/agama#1202).
* Wed Jun  5 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Allow to execute the legacy AutoYaST storage proposal
  (gh#openSUSE/agama#1284).
* Tue Jun  4 2024 José Iván López González <jlopez@suse.com>
- Convert AutoYaST partitioning section to JSON
  (gh#openSUSE/agama#1285).
* Mon May 27 2024 José Iván López González <jlopez@suse.com>
- Update product mount points as part of the probing (bsc#1225348).
* Tue May 21 2024 José Iván López González <jlopez@suse.com>
- Emit a PropertiesChanged signal for ProductMountPoints and
  EncryptionMethods properties when the product changes
  (gh#openSUSE/agama#1236).
* Fri May 17 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 8
* Thu May 16 2024 José Iván López González <jlopez@suse.com>
- Do not probe devices implictly (gh#openSUSE/agama#1226).
* Wed May 15 2024 José Iván López González <jlopez@suse.com>
- Export the device name of the Multipath wires and RAID devices
  instead of their D-Bus path (gh#openSUSE/agama#1212).
* Mon May  6 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Remove the dependency on cockpit.socket (gh#openSUSE/agama#1119)
* Thu Apr 25 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Adapted to recent changes on Y2Storage::GuidedProposal
  (gh#yast/yast-storage-ng#1382)
* Thu Apr 18 2024 Ladislav Slezák <lslezak@suse.com>
- Display encryption status in the storage result
  (gh#openSUSE/agama#1155)
* Wed Apr 10 2024 Ladislav Slezák <lslezak@suse.com>
- Fixed setting unlimited maximum partition size
  (gh#openSUSE/agama#1065)
* Wed Apr  3 2024 José Iván López González <jlopez@suse.com>
- Add new proposal settings to allow configuring the boot device
  and to select different scenarios for the installation device:
  a disk, a new LVM volume group or reuse an LVM volume group
  (gh#openSUSE/agama#1068).
* Fri Mar 22 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Make it possible to use non-auto sizes for volumes with
  adjust_by_ram (gh#openSUSE/agama#1111).
* Thu Mar 21 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- Extend the storage D-Bus API: new attributes for the volumes
  (Target and TargetDevice) to decide where to locate each of them
  (gh#openSUSE/agama#1105).
* Tue Mar 19 2024 José Iván López González <jlopez@suse.com>
- Extend the storage D-Bus API: export LVM volume groups and
  logical volumes, export staging devices, add Device and Partition
  interfaces, export unused slots (gh#openSUSE/agama#1104).
* Tue Feb 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Rename the gem to agama-yast and the package to
  rubygem-agama-yast (gh#openSUSE/agama#1056).
* Tue Feb 20 2024 José Iván López González <jlopez@suse.com>
- Add Filesystem and Component D-Bus interfaces
  (gh#openSUSE/agama#1028).
* Wed Feb  7 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add preliminary support to import AutoYaST profiles
  (gh#openSUSE/agama#1029).
* Thu Feb  1 2024 Josef Reidinger <jreidinger@suse.com>
- Log if multipath probing is misconfigured (bsc#1215598)
* Mon Jan 29 2024 José Iván López González <jlopez@suse.com>
- Export partitions on D-Bus (gh#openSUSE/agama#1016).
* Thu Jan 18 2024 José Iván López González <jlopez@suse.com>
- Add support to check availability of a package
  (gh#openSUSE/agama#1004).
* Thu Jan 18 2024 Ancor Gonzalez Sosa <ancor@suse.com>
- New default encryption settings: LUKS2 with PBKDF2.
- Expose encryption methods at D-Bus API (gh#openSUSE/agama#995).
* Tue Jan 16 2024 Michal Filka <mfilka@suse.com>
- bsc#1210541, gh#openSUSE/agama#516
  - copy NM's runtime config created on dracut's request to the target
* Thu Jan 11 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Handle the encoding included in the UILocale D-Bus property
  (gh#openSUSE/agama#987).
* Thu Jan 11 2024 Ladislav Slezák <lslezak@suse.com>
- Translate the pattern descriptions (gh#openSUSE/agama#859)
* Thu Dec 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 7
* Wed Dec 20 2023 José Iván López González <jlopez@suse.com>
- Update software issues after calling to solver
  (gh#openSUSE/agama#945).
* Fri Dec 15 2023 José Iván López González <jlopez@suse.com>
- Set snapshots as not configurable by default
  (gh#openSUSE/agama#926).
* Tue Dec  5 2023 José Iván López González <jlopez@suse.com>
- Explicitly add dependencies instead of relying on the live ISO
  to provide the required packages (gh#openSUSE/agama/911).
* Sun Dec  3 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Redefine the InstFunctions module to avoid calling code that
  causes unwanted side effects, like resetting the timezone
  (gh#openSUSE/agama#903).
* Sat Dec  2 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 6
* Wed Nov 29 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update the software proposal when the locale changes
  (gh#openSUSE/agama#881).
* Fri Nov 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Install recommended packages (gh#openSUSE/agama#889).
* Thu Nov 16 2023 Ladislav Slezák <lslezak@suse.com>
- Software service - correctly change the locale, pass the changed
  locale to libzypp (gh#openSUSE/agama#875).
* Wed Nov 15 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for registering a product (gh#openSUSE/agama#869).
* Thu Nov  2 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Delegate TPM-based encryption to YaST (gh#openSUSE/agama#826)
* Mon Oct 23 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 5
* Fri Oct 20 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Do not reuse pre-existing swap partitions in the storage proposal
  (gh#openSUSE/agama#806)
* Tue Oct 10 2023 Ladislav Slezák <lslezak@suse.com>
- Extended Software service to allow configuring selected patterns
  (gh#openSUSE/agama#792)
* Wed Oct  4 2023 Josef Reidinger <jreidinger@suse.com>
- Add indication to btrfs volumes if it is transactional
  (gh#openSUSE/agama#789)
* Fri Sep 29 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adapted storage settings for ALP Dolomite (gh#openSUSE/agama#782)
* Wed Sep 27 2023 José Iván López González <jlopez@suse.com>
- Fix D-Bus type for SystemVGDevices and restore system VG devices
  from previous settings (gh#openSUSE/agama#763).
* Tue Sep 26 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 4
* Tue Sep 19 2023 José Iván López González <jlopez@suse.com>
- Do not automatically probe after selecting a new product
  (gh#openSUSE/agama#748).
* Thu Sep 14 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use a single D-Bus service to expose the manager and the users
  settings (gh#openSUSE/agama#753, follow-up of
  gh#openSUSE/agama#729).
* Tue Sep 12 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not crash when it is not possible to handle a product change
  in the manager service (related to bsc#1215197).
- When selecting the product, do not perform any change if the
  product is still the same.
* Mon Sep 11 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- The software and the storage services do not dispatch actions
  during progress reporting anymore (related to bsc#1215197).
* Wed Sep  6 2023 José Iván López González <jlopez@suse.com>
- New storage proposal settings (gh#openSUSE/agama#738).
* Fri Sep  1 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Extend the Ruby-based services logs with information about
  each step (gh#openSUSE/agama#732).
- Raise the D-Bus service start timeout for troubleshoting purposes
  (related to bsc#1214737).
* Thu Aug 31 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Adapt the locale and questions clients to use the same D-Bus
  service (gh#openSUSE/agama#729).
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.com>
- Respect UI locale in dbus services (gh#openSUSE/agama#725)
* Mon Aug 28 2023 Knut Anderssen <kanderssen@suse.com>
- Copy the proxy configuration to the target system when needed
  (bsc#1212677, gh#openSUSE/agama#711).
* Wed Aug 23 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Install the ppc64-diag package when running on ppc64le (related
  to bsc#1206898).
* Mon Aug 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Set the manager service as busy during the startup phase
  (bsc#1213194).
* Fri Aug 18 2023 Knut Anderssen <kanderssen@suse.com>
- Add proxy setup support (bsc#1212677, gh#openSUSE/agama#696).
* Mon Aug  7 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not consider the architecture when filtering the configuration
  file through the filter-config.rb script (gh#openSUSE/agama#691).
* Wed Aug  2 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 3
* Wed Aug  2 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
* Wed Jul 26 2023 José Iván López González <jlopez@suse.com>
- Adapt config file to install ALP Dolomite instead of ALP Micro
  and remove ALP Bedrock (gh#openSUSE/agama#674).
* Mon Jul 17 2023 Josef Reidinger <jreidinger@suse.com>
- Adapt to new questions D-Bus API to allow automatic answering of
  questions when requested. All code using this API is adapted
  (gh#openSUSE/agama#637)
* Wed Jul  5 2023 José Iván López González <jlopez@suse.com>
- Delay zFCP probing after activating a controller and ensure the
  system is marked as deprecated if needed after probing zFCP
  (gh#openSUSE/agama#650).
* Wed Jun 14 2023 José Iván López González <jlopez@suse.com>
- Extend zFCP D-Bus API to provide allow_lun_scan info
  (gh#openSUSE/agama/626).
* Wed Jun  7 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for managing zFCP devices (gh#openSUSE/agama#594).
* Wed Jun  7 2023 Michal Filka <mfilka@suse.com>
- Merge the users D-Bus service into the main one to save some resources
  (gh#openSUSE/agama#596).
* Wed Jun  7 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Drop the old `org.opensuse.Agama.Language1` which was replaced
  with `org.opensuse.Agama.Locale1` (gh#openSUSE/agama#608).
* Wed May 24 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adjust volume definitions for Tumbleweed (related to bsc#1075990)
- Display "ALP Server" instead of "ALP Bedrock"
* Tue May 23 2023 Martin Vidner <mvidner@suse.com>
- Version 2.1
* Tue May 23 2023 José Iván López González <jlopez@suse.com>
- Initial version of storage D-Bus API for exporting system devices.
- gh#openSUSE/agama#586
* Mon May 22 2023 Martin Vidner <mvidner@suse.com>
- Version 2
* Thu May 18 2023 Martin Vidner <mvidner@suse.com>
- Update ruby-dbus dependency to 0.22.x (gh#openSUSE/agama#581)
* Tue May 16 2023 Knut Alejandro Anderssen González <kanderssen@suse.com>
- Added ppc64le repositories for ALP Bedrock and ALP Micro products
- gh#openSUSE/agama#577
* Fri May  5 2023 José Iván López González <jlopez@suse.com>
- Add callbacks for storage commit errors (gh#openSUSE/agama/558).
* Wed Apr 26 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for managing issues.
- Replace validation interface by issues in the storage service.
- gh#openSUSE/agama#548
* Fri Apr 14 2023 José Iván López González <jlopez@suse.com>
- Modify default storage settings.
- Fix issue with volume templates.
- gh#openSUSE/agama#521
* Mon Apr 10 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update ruby-dbus dependency to version 0.21.0
  (gh#openSUSE/agama#528).
* Wed Apr  5 2023 José Iván López González <jlopez@suse.com>
- Rename D-Bus interface for generic questions
  (gh#openSUSE/agama#524).
* Wed Mar 29 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Rename D-Installer to Agama (gh#openSUSE/agama#507).
- Version 1
* Fri Mar 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.3
* Fri Mar 24 2023 Knut Alejandro Anderssen González <kanderssen@suse.com>
- Adjustments to allow obtaining the DASD format progress and set
  the system as deprecated after making DASD changes.
- gh#openSUSE/agama#501.
* Fri Mar 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.2
* Thu Mar 23 2023 José Iván López González <jlopez@suse.com>
- Set system as deprecated after changing iSCSI sessions.
- Reuse settings from previous proposal.
- gh#openSUSE/agama#484
* Wed Mar 22 2023 Knut Anderssen <kanderssen@suse.com>
- Added a fallback in order to prevent a proposal error when no
  planned devices are available (gh#openSUSE/agama#494).
* Wed Mar 22 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adjustments to prevent iSCSI-related delays during storage
  probing (gh#openSUSE/agama#493).
* Wed Mar 22 2023 Martin Vidner <mvidner@suse.com>
- Fix service startup (gh#openSUSE/agama#491):
  * Fix race at systemd startup time.
  * Install the dependencies before starting it up.
* Wed Mar 22 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.1
* Tue Mar 21 2023 Knut Anderssen <kanderssen@suse.com>
- Allow to define architecture specific patterns and packages
  (gh#openSUSE/agama#486).
* Tue Mar 21 2023 Ladislav Slezák <lslezak@suse.com>
- Fixed exception handling so service always goes back to the
  "idle" state when finishing a block (related to bsc#1209523)
* Tue Mar 21 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Added D-Bus API for management of DASDs (gh#openSUSE/agama#464,
  gh#openSUSE/agama#476)
* Tue Mar 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update the products definitions (gh#openSUSE/agama#485):
  * Replace "ALP" with "ALP Bedrock" and "ALP Micro".
  * Drop Leap 15.4 and Leap Micro 5.3.
- Add a script to auto-generate the configuration file when
  building the ISO.
* Thu Mar 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8
* Thu Mar 16 2023 José Iván López González <jlopez@suse.com>
- Add callbacks to be called on iSCSI activation
  (gh#openSUSE/agama#435).
* Thu Mar 16 2023 Knut Anderssen <kanderssen@suse.com>
- Adapted the service configuration for the s390x architecture
  (gh#openSUSE/agama#469).
* Thu Mar 16 2023 Knut Anderssen <kanderssen@suse.com>
- Fix gem2rpm configuration requiring the dbus-1-common package
  (gh#openSUSE/agama#470).
* Wed Mar  8 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix gem2rpm configuration to include YaST2 dependencies
  (gh#openSUSE/agama#459).
* Thu Mar  2 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Write /iguana/mountlist if running on Iguana
  (gh#openSUSE/agama#445).
* Wed Feb 15 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for iSCSI (gh#openSUSE/agama#402).
* Wed Feb 15 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.7
- Update the list of patterns to install for Leap Micro 5.3
  (gh#openSUSE/agama#427).
* Wed Feb  8 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Better handling of software repositories
  (gh#openSUSE/agama#414):
  * Report issues when reading the software repositories.
  * Inform the user about the software proposal progress.
  * Do not try to calculate a proposal if there are no
    repositories.
* Fri Jan 20 2023 Martin Vidner <mvidner@suse.com>
- Use the upstream version of D-Bus ObjectManager
  (gh#openSUSE/agama#245)
* Wed Jan 18 2023 Josef Reidinger <jreidinger@suse.com>
- Save logs and provide the path to the file
  (gh#openSUSE/agama#379)
* Tue Jan 17 2023 Josef Reidinger <jreidinger@suse.com>
- Implement validation of software proposal
  (gh#openSUSE/agama#381)
* Mon Jan 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Check for installed packages in the target system, instead of the
  installation medium (gh#openSUSE/agama#393).
* Mon Jan 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Simplify the network configuration to just copying the
  NetworkManager connections and enabling the service
  (gh#openSUSE/agama#397).
* Tue Jan 10 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use a dedicated D-Bus server (gh#openSUSE/agama#384).
* Thu Dec 15 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Implement the ImportGpgKey libzypp callback
  (gh#openSUSE/agama#371)
- Version 0.6.2
* Wed Dec 14 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Implement AcceptUnsignedFile and MediaChange libzypp callbacks
  (gh#openSUSE/agama#369).
* Wed Dec 14 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Switch the SELinux policy for ALP to "enforcing"
  (gh#openSUSE/agama#360).
- Fix generic questions handling (gh#openSUSE/agama#362)
- Version 0.6.1
* Wed Dec 14 2022 Ancor Gonzalez Sosa <ancor@suse.com>
- Removed previous temporary setting "olaf_luks2_password" and all
  the code supporting it.
- Added new temporary setting "tpm_luks_open" to try to configure
  TPM-based unlocking of the LUKS devices during the first system
  boot (gh#openSUSE/agama#363).
* Mon Dec  5 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Write snapshots configuration (gh#openSUSE/agama#350).
- Update to version 0.6.0
* Fri Dec  2 2022 José Iván López González <jlopez@suse.com>
- Improve messages of storage validation errors.
- Do not encrypt devices when receiving an empty password from
  D-Bus (gh#openSUSE/agama#321).
* Thu Dec  1 2022 Josef Reidinger <jreidinger@suse.com>
- Allow to define products architectures and architecture specific
  installation repositories
- Adapt default d-installer.yml to fix installation on other archs
  (gh#openSUSE/agama#279)
* Wed Nov 30 2022 Knut Alejandro Anderssen González <kanderssen@suse.de>
- Add validation for the first user creation (gh#openSUSE/agama#337)
* Wed Nov 30 2022 Ancor Gonzalez Sosa <ancor@suse.com>
- Encryption method and pbkdf are now configurable per-product, set
  to LUKS2 and PBKDF2 for ALP (gh#openSUSE/agama#340).
- Improved selection of packages for ALP to boot from encrypted
  devices and LVM (gh#openSUSE/agama#338).
- Temporarily adjusted storage proposal to delete all existing
  partitions and to never reuse LVM (gh#openSUSE/agama#340).
* Fri Nov 18 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.5.0:
  * Use D-Bus activation instead of explicit service starting
    (gh#openSUSE/agama#287).
  * Load the configuration from /etc/d-installer.yaml
    (gh#openSUSE/agama#301).
  * Move D-Bus configuration to /usr/share (gh#openSUSE/agama#254).
  * Extract questions and storage handling to separate services
    (gh#openSUSE/agama#248).
  * Add a mechanism to report problems found in the configuration
    (gh#openSUSE/agama#299).
  * Extend the D-Bus API for the storage proposal
    (gh#openSUSE/agama#268).
  * Do not block after software installation if a package cannot
    be installed (gh#openSUSE/agama#322).
  * Add support to install the Adaptable Linux Platform Host OS
    (gh#openSUSE/agama#265).
  * Update Leap Micro to version 5.3 (gh#openSUSE/agama#318).
* Thu Jul 28 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4.2:
  * Prevent the installation from being blocked when the user
    changes the language (gh#openSUSE/agama#239 and
    gh#openSUSE/agama#240).
  * Add a new service org.opensuse.DInstaller.Language to handle
    yast2-country related logic.
* Tue Jul 26 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4.1:
  * Respond to D-Bus messages during software installation
    (gh#openSUSE/agama#223).
  * Prevent the redefined PackagesProposal module from sending a
    nil value over D-Bus.
* Fri Jul 15 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4:
  * Add support for installing multiple products
    (gh#openSUSE/agama#181).
  * Switch to a multi-process architecture (gh#openSUSE/agama#153):
  - Users service (gh#openSUSE/agama#164).
  - Software service (gh#openSUSE/agama#201).
  * Simplify the installation workflow and introduce a new
    status/progress reporting API
    (gh#openSUSE/agama#209).
  * Install packages that are required to configure the LSM
    (gh#openSUSE/agama#222).
- Add dependencies on YaST2 and snapper packages.
* Mon Jun 13 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.3:
  * Extend configuration to support:
  - Selecting patterns for installation
    (gh#openSUSE/agama#184).
  - Configuring an LSM (gh#openSUSE/agama#173 and
    gh#openSUSE/agama#184).
  - Specifying the list of storage volumes
    (gh#openSUSE/agama#188).
* Tue May 17 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.2:
  * Introduce a YAML-based configuration system
    (gh#openSUSE/agama#132 and gh#openSUSE/agama#158).
  * Add a mechanism to allow user interaction from the service
    (gh#openSUSE/agama#123 and gh#openSUSE/agama#135).
  * Allow setting an SSL certificate for remote installation
    or disabling SSL completely (gh#openSUSE/agama#145).
  * Define the installation repository through a configuration
    file (gh#openSUSE/agama#122).
* Wed Mar 30 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- First release (version 0.1):
  * Minimal installation of openSUSE Leap or Tumbleweed.
  * Allow setting the language, selecting a product, choosing a disk to
    install into, setting the root authentication mechanism and creating
    a first user.
  * Automatic boot loader installation.
  * Automatic network set up based on the configuration of the
    underlying system.
